﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using CustomTab_Spreadsheet.Spread;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
namespace CustomTab_Spreadsheet.Controllers
{
    public partial class SpreadsheetController : Controller
    {
        public ActionResult SpreadsheetFeatures()
        {
            var dataSource = new NorthwindDataContext().Orders.Take(50).ToList();
            ViewBag.DataSource = dataSource;
            return View();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Import(ImportRequest importRequest)
        {
            return importRequest.SpreadsheetActions();
        }
    }
}
